package com.company;


// 363

public class Card {
    // Масть
    private LEAR lear;
    // Номинал (2-14)
    private int Denomination;
    private boolean OnHand = false;

    public boolean isOnHand() {
        return OnHand;
    }

    public void setOnHand(boolean onHand) {
        OnHand = onHand;
    }

    /**
     * Метод возвращает занчение номинала карты
     * @return int
     */
    public int getDenomination() {
        return Denomination;
    }

    /**
     * Метод устанавливает номинал карты
     * @param denomination устанавливаемый номинал
     * @return true если значение успешно установлено
     */
    public boolean setDenomination(int denomination) {
        // Если переданный в метод номинал не соответствует
        // допустимому значению, то вернуть FALSE
        if (denomination < 2 || denomination > 14) {
            return false;
        }
        Denomination = denomination;
        return true;
    }

    public LEAR getLear() {
        return lear;
    }

    public void setLear(LEAR lear) {
        this.lear = lear;
    }
}
